.TL
UNIX Programmer's Manual
.sp
Volume 2c \- Supplementary Documents
.sp
\s-24.2 Berkeley Software Distribution, Virtual \s-2VAX\s+2\-11 Version\s+2
.sp
\fRAugust, 1983\fR
.PP
This volume contains documents which supplement the information in
Volume 1 of
.I
The
.UX
Programmer's Manual,
.R
for the Virtual \s-2VAX\s0-11 version of the system as distributed by
U.C. Berkeley.
This volume is a logical extension of Volumes
2a and 2b as provided by Bell Laboratories.
.SH
General Works
.IP 39.
Bug Fixes and changes in 4.2BSD.
.in +5n
A brief discussion of the major user-visible changes made to the
system since the last release.
.in -5n
.SH
Getting Started
.IP 40.
An introduction to the C shell
.in +5n
Introducing a popular command interpreter and many of the commonly used
commands, assuming little prior knowledge of
.UX .
.in -5n
.IP 41.
An Introduction to Display Editing with Vi
.in +5n
The document to read to learn to use the \fIvi\fR screen editor.
.in -5n
.IP 42.
Edit: A tutorial (Revised)
.in +5n
For those who prefer line oriented editing, an introduction assuming
no previous knowledge of
.UX
or of text editing.
.in -5n
.IP 43.
Ex Reference Manual (Version 3.1 \- Oct. 1980)
.in +5n
The final reference for the \fIex\fR editor, which underlies both \fIedit\fR
and \fIvi\fR.
.in -5n
.IP 44.
Ex Changes \- Version 3.1 to 3.5
.in +5n
A quick guide to what is new in version 3.5 of \fIex\fR and \fIvi\fR, for those
who have used version 3.1.
.in -5n
.IP 45.
Mail Reference Manual (Revised)
.in +5n
Complete details on the mail processing program.
.in -5n
.IP 46.
A Guide to the Dungeons of Doom (Revised)
.in +5n
An introduction to the popular game of \fIrogue\fP.
.in -5n
.SH
Languages
.IP 47.
The F\s-2RANZ\s0 L\s-2ISP\s0 Manual
.in +5n
A dialect of \s-2LISP\s0, largely compatible with \s-2MACLISP\s0.
.in -5n
.IP 48.
Berkeley Pascal User's Manual
.in +5n
An interpretive implementation of the reference language.
.in -5n
.IP 49.
The Programming Language EFL
.in +5n
An introduction to a powerful FORTRAN preprocessor providing access
to a language with structures much like C.
.in -5n
.IP 50.
Berkeley FP User's Manual
.in +5n
A description of the Berkeley implementation of Backus'
Functional Programming Language, FP.
.in -5n
.IP 51.
A Portable Fortran 77 Compiler
.in +5n
A revised version of the document which originally appeared in
Volume 2b; this version reflects the ongoing work at Berkeley.
.in -5n
.IP 52.
Introduction to the f77 I/O Library
.in +5n
A description of the revised input/output library for Fortran 77.
This document, which originally appeared in Volume 2b, reflects
the work carried out at Berkeley.
.in -5n
.SH
Document preparation
.IP 53.
Writing Papers with \fInroff\fR using \-me
.in +5n
A popular macro package for
.I nroff.
.in -5n
.IP 54.
\-me Reference Manual
.in +5n
The final word on \-me.
.in -5n
.IP 55.
The Berkeley Font Catalog
.in +5n
Samples of fonts currently available for the raster plotters.
.in -5n
.IP 56.
Writing tools \- the Style and Diction Programs
.in +5n
Description of programs which help you understand and improve
your writing style.
.in -5n
.IP 57.
Refer \- A Bibliography System
.in +5n
An introduction to the tools used to maintain bibliographic
databases.  The major program, \fIrefer\fP, is used to automatically
retrieve and format references based on document citations.
.in -5n
.IP 58.
A Revised Version of \-ms
.in +5n
A quick description of the revisions made to the \-ms formatting
macros for nroff and troff.
.in -5n
.SH
Programming
.IP 59.
Assembler Reference Manual
.in +5n
For compiler writers.
.in -5n
.IP 60.
Screen Updating and Cursor Movement Optimization
.in +5n
An aide for writing screen-oriented, terminal independant programs.
.in -5n
.IP 61.
An Introduction to the Source Code Control System
.in +5n
A useful introductory article for those users who are
licensed for SCCS.
.in -5n
.SH
System Installation and Administration
.IP 62.
Installing and Operating 4.2BSD on the VAX
.in +5n
The definitive reference document for those occasions when
you find you need to start over again.
.in -5n
.IP 63.
Building 4.2BSD UNIX Systems with Config
.in +5n
An in-depth discussion of the use and operation of the \fIconfig\fP
program.  This document discusses how to configure and build
binary images of UNIX for your site.
.in -5n
.IP 64.
Disc Quotas in a UNIX Environment
.in +5n
A light introduction to the care and feeding of the
facilities which can be used in limiting disc resources.
.in -5n
.IP 65.
4.2BSD Line Printer Spooler Manual
.in +5n
This document describes the structure and installation procedure
for the line printer spooling system.  
.in -5n
.IP 66.
Fsck \- The UNIX File System Check Program
.in +5n
A reference document for use with the \fIfsck\fP program during
times of file system distress.
.in -5n
.IP 67.
Sendmail Installation and Operation Guide
.in +5n
The last word in installing and operating the \fIsendmail\fP program.
.in -5n
.SH
Supporting Documentation
.IP 68.
4.2BSD System Manual
.in +5n
A concise, though terse, description of the system call interface
provided in 4.2BSD.  This will never be a best seller.
.in -5n
.IP 69.
A Fast File System for UNIX
.in +5n
A description of the new file system organization design
and implementation.
.in -5n
.IP 70.
4.2BSD Networking Implementation Notes
.in +5n
A concise description of the system interfaces used within the
networking subsystem.
.in -5n
.IP 71.
Sendmail \- An Internetwork Mail Router
.in +5n
An overview document on the design and implementation of \fIsendmail\fP.
.in -5n
.IP 72.
Mail Systems and Addressing in 4.2BSD
.in +5n
A general introduction to the mail facilities in 4.2BSD.
.in -5n
