.TH RMF 1 "3 August 1983"
.UC 4
.SH NAME
rmf \- remove folder
.SH SYNOPSIS
.B rmf
[ +folder ] [ \-help ]
.SH DESCRIPTION
\fIRmf\fR removes all of the files (messages) within the specified
(or default) folder, and then removes the directory (folder).
If
there are any files within the folder which are not a part of MH,
they will \fInot\fR be removed, and an error will be produced.
If the
folder is given explicitly or the current folder is a
subfolder (i.e., a selection list from \fIpick\fR), it will be
removed without confirmation.
If no argument is specified and
the current folder is not a selection-list folder, the
user will be asked for confirmation.
.PP
\fIRmf\fR irreversibly deletes messages that don't have other links,
so use it with caution.
.PP
If the folder being removed is a subfolder, the parent
folder will become the new current folder, and \fIrmf\fR will
produce a message telling the user this has happened.
This
provides an easy mechanism for selecting a set of messages,
operating on the list, then removing the list and returning to
the current folder from which the list was extracted.
(See the
example under \fIpick\fR.)
.PP
The files that \fIrmf\fR will delete are cur, any file beginning
with a comma, and files with purely numeric names.
All others
will produce error messages.
.PP
\fIRmf\fR of a read-only folder will delete the \*(lqcur\-\*(rq entry from the
profile without affecting the folder itself.
.SH FILES
.nf
.ta \w'or <mh-dir>/components    'u
.fi
.SH "PROFILE COMPONENTS"
.nf
.ta \w'$HOME/\*.mh\(ruprofile    'u
$HOME/\*.mh\(ruprofile	The user profile
Path:	To determine the user's MH directory
Current-Folder:	To find the default current folder
.fi
.SH DEFAULTS
.nf
`+folder' defaults to current, usually with confirmation
.fi
.SH CONTEXT
\fIRmf\fR will set the current folder to the parent folder if a
subfolder is removed; or if the current folder is removed,
it will make \*(lqinbox\*(rq current.
Otherwise, it doesn't change the
current folder or message.
