.SC SCAN
.TH SCAN 1 "3 August 1983"
.UC 4
.SH NAME
scan \- produce a one-line-per-message scan listing
.SH SYNOPSIS
.B scan
[ +folder ] [ msgs ] [ \-ff ] [ \-header ] [ \-help ]
[ \-noff ] [ \-noheader ]
.SH DESCRIPTION
\fIScan\fR produces a one-line-per-message listing of the specified
messages.
Each \fIscan\fR line contains the message number (name),
the date, the \*(lqFrom\*(rq field, the \*(lqSubject\*(rq field, and, if room
allows, some of the body of the message.
For example:
.nf

.ta .5i 1.2i 2.6i
^ #~^^Date~^^  From~^Subject\ \ \ \ \[\*(<<Body]
^15+~^^7/\05~^^Dcrocker~^nned  \*(<<Last week I asked some of
^16\ \-~^^7/\05~^^dcrocker~^message id format  \*(<<I recommend
^18~^^7/\06~^^Obrien~^Re: Exit status from mkdir
^19~^^7/\07~^^Obrien~^"scan" listing format in MH
.re

.fi
The `+' on message 15 indicates that it is the current message.
The `\-' on message 16 indicates that it has been
replied to, as indicated by a \*(lqReplied:\*(rq component produced by
an `\-annotate' switch to the \fIrepl\fR command.
.PP
If there is sufficient room left on the \fIscan\fR line after the
subject, the line will be filled with text from the body,
preceded by \*(<<.
\fIScan\fR actually reads each of the specified
messages and parses them to extract the desired fields.
During parsing, appropriate error messages will be produced if
there are format errors in any of the messages.
.PP
The `\-header' switch produces a header line prior to the \fIscan\fR
listing, and the `\-f\&f' switch will cause a form feed to be
output at the end of the \fIscan\fR listing.
.SH FILES
.nf
.ta \w'$HOME/\*.mh\(ruprofile    'u
^$HOME/\*.mh\(ruprofile~^The user profile
.fi
.SH "PROFILE COMPONENTS"
.nf
.ta \w'Current-Folder:    'u
Path:	To determine the user's MH directory
Current-Folder:	To find the default current folder
.fi
.SH DEFAULTS
.nf
`+folder' defaults to current
`msgs' defaults to all
`\-nof\&f'
`\-noheader'
.fi
.SH CONTEXT
If a folder is given, it will become current.
The current message is unaffected.
