.SC SEND
.TH SEND 1 "3 August 1983"
.UC 4
.SH NAME
send \- send a message
.SH SYNOPSIS
.B send
[ file ] [ \-draft ] [ \-verbose ] [ \-format ] [ \-msgid ]
[ \-help ]  [ \-noverbose ] [ \-noformat ] [ \-nomsgid ]
.SH DESCRIPTION
\fISend\fR will cause the specified file (default <mh-dir>/draft) to
be delivered to each of the addresses in the \*(lqTo:\*(rq, \*(lqcc:\*(rq, and \*(lqBcc:\*(rq
fields of the message.
If `\-verbose' is specified, \fIsend;\fR
will monitor the delivery of local and net mail.
\fISend\fR with no
argument will query whether the draft is the intended file, whereas
`\-draft' will suppress this question.
Once the message has
been mailed (or queued) successfully, the file will be renamed
with a leading comma, which allows it to be retreived until the
next draft message is sent.
If there are errors in the
formatting of the message, \fIsend;\fR will abort with a (hopefully)
helpful error message.
.PP
If a \*(lqBcc:\*(rq field is encountered, its addresses will be used for
delivery, but the \*(lqBcc:\*(rq field itself will be deleted from all
copies of the outgoing message.
.PP
Prior to sending the message, the fields \*(lqFrom:  user\*(rq, and
\*(lqDate: now\*(rq will be prepended to the message.
If `\-msgid' is
specified, then a \*(lqMessage-Id:\*(rq field will also be added to the
message.
If the message already contains a \*(lqFrom:\*(rq field, then a
\*(lqSender: user\*(rq field will be added instead.
(An already existing
\*(lqSender:\*(rq field will be deleted from the message.)
.PP
If the user doesn't specify `\-noformat', each of the entries in
the \*(lqTo:\*(rq and \*(lqcc:\*(rq fields will be replaced with \*(lqstandard\*(rq format
entries.
This standard format is designed to be usable by all
of the message handlers on the various systems around the
ARPANET.
.PP
If an \*(lqFcc: folder\*(rq is encountered, the message will be copied
to the specified folder in the format in which it will appear to any
receivers of the message.
That is, it will have the prepended
fields and field reformatting.
.PP
If a \*(lqDistribute-To:\*(rq field is encountered, the message
is handled as a redistribution message (see \fIdist\fR for
details), with \*(lqDistribution-Date: now\*(rq and \*(lqDistribution-From: user\*(rq
added.
.SH FILES
.nf
.ta \w'$HOME/\*.mh\(ruprofile    'u
$HOME/\*.mh\(ruprofile	The user profile
.fi
.SH "PROFILE COMPONENTS"
.nf
.ta \w'Path:    'u
Path:	To determine the user's MH directory
.fi
.SH DEFAULTS
.nf
`file' defaults to draft
`\-noverbose'
`\-format'
`\-nomsgid'
.fi
.SH CONTEXT
\fISend\fR has no effect on the current message or folder.
